/*  
 *  UGLY XMMS-to-MPD HACK
 *  naming may be confusing, winamp = xmms = mpd
 *
 *  by michu@neophob.com - http://www.neophob.com
 *  
 */
#ifndef MPD_XMMSCTRL_H
#define MPD_XMMSCTRL_H

#include <glib.h>
#include "libmpdclient.h"

#ifdef __cplusplus
extern "C" {
#endif

void mpd_remote_playlist_add(char *buffer, int isStream, char *basedir);
void mpd_remote_play();
void mpd_remote_pause();
void mpd_remote_stop();
void mpd_remote_set_playlist_pos(gint pos);
void mpd_remote_playlist_clear();
void mpd_remote_jump_to_time(gint pos);
void mpd_remote_set_main_volume(gint v);
void mpd_remote_get_info(gint * rate, gint * freq, gint * nch);
void mpd_remote_playlist_prev();
void mpd_remote_playlist_next();
void mpd_remote_toggle_repeat();
void mpd_remote_toggle_shuffle();

gboolean mpd_remote_is_playing();
gboolean mpd_remote_is_paused();

gint mpd_remote_get_output_time();
gint mpd_remote_get_main_volume();
gint mpd_remote_get_playlist_time(gint pos);
gint mpd_remote_get_playlist_length();
gint mpd_remote_get_playlist_pos();

gchar *mpd_remote_get_playlist_title(gint pos);

gboolean mpd_remote_is_repeat();
gboolean mpd_remote_is_shuffle();
gboolean mpd_remote_is_running();

void close_mpd_connection();
	
#ifdef __cplusplus
}
#endif


#define mpd_remote_add_files(session,list) \
	mpd_remote_playlist_add(session,list)


#endif
